// GVG遗迹
import { FILENAME } from '../../consts'
import { RewardInter } from '../interface';
import { parseGoodStr, readFileAndParse } from '../util'

export interface DicGVGVestigePlayerRank {
    // id
    readonly id: number;
    // 最低排名
    readonly rankMin: number;
    // 最高排名
    readonly rankMax: number;
    // 普通奖励
    readonly rankPlayerReward: RewardInter[];
    // gvg内奖励
    readonly rankPlayerLeagueReward: RewardInter[];
}

export const dicGVGVestigePlayerRank: DicGVGVestigePlayerRank[] = [];
export function loadGVGVestigePlayerRank() {
    dicGVGVestigePlayerRank.splice(0, dicGVGVestigePlayerRank.length);
    
    let arr = readFileAndParse(FILENAME.DIC_GVG_VESTIGE_PLAYER_RANK);
    arr.forEach(o => {
        o.rankPlayerReward = parseGoodStr(o.rankPlayerReward);
        o.rankPlayerLeagueReward = parseGoodStr(o.rankPlayerLeagueReward);
        dicGVGVestigePlayerRank.push(o);
    });
    arr = undefined;
}